package com.taauav.admin.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.io.Serializable;


/**
 * <p>
 * 广告表
 * </p>
 *
 * @author dyg
 * @since 2019-11-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ct_ad")
public class CtAd extends Entity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 广告名称
     */
    private String name;

    /**
     * 广告位ID
     */
    private Integer sortId;

    /**
     * 广告格式：1图片 2flash 3文字
     */
    private Boolean filetype;

    /**
     * 是否透明：1是 2否
     */
    private Boolean isTransparent;

    /**
     * 广告内容
     */
    private String content;

    /**
     * 广告链接
     */
    private String url;

    /**
     * 广告附件
     */
    private String src;

    /**
     * 广告宽度
     */
    private Integer width;

    /**
     * 广告高度
     */
    private Integer height;

    /**
     * 开始时间
     */
    private Integer starttime;

    /**
     * 结束时间
     */
    private Integer endtime;

    /**
     * 广告点击
     */
    private Integer hit;

    /**
     * 广告描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer sort;
}
