package com.taauav.admin.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * <p>
 * 职级管理表
 * </p>
 *
 * @author dyg
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysLevel extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 职级名称
     */
    @NotNull(message = "职级名称不能为空")
    @Length(min = 2, max = 10, message = "职级名称长度为2-10个字")
    private String name;

    /**
     * 备注
     */
    @Length(max = 200, message = "备注不能超过200字")
    private String remark;

    /**
     * 排序
     */
    @NotNull(message = "排序不能为空")
    private Integer sort;

}
