package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 水质预警对象 tauv_water_warn
 *
 * @author daixiantong
 * @date 20200514
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvWaterWarn extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检河道ID
     */
    private Integer inspectDriverId;
    /**
     * 任务单号
     */
    private String inspectNo;
    /**
     * 预警编号
     */
    private String warnSn;
    /**
     * 区属ID
     */
    private BigInteger driverArea;
    /**
     * 河道ID
     */
    private Integer driverId;
    /**
     * 河流名称
     */
    private String driverName;
    /**
     * 巡检日期
     */
    private Date inspectTime;
    /**
     * 预警类型：1水质富营养化 2水生藻类植物
     */
    private Integer warnType;
    /**
     * 报警内容
     */
    private String warnContent;
    /**
     * 预警级别：1一级 2二级 3三级 4四级 5五级
     */
    private Integer warnLevel;
    /**
     * 预警日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date warnTime;

    @TableField(exist = false)
    private String warnTypeText;

    @TableField(exist = false)
    private String warnLevelText;

    @TableField(exist = false)
    private String statusText;

    public Map<String, String> typeList() {
        Map<String, String> map = new HashMap<>();
        map.put("1", "水质富营养化");
        map.put("2", "水生藻类植物");
        return map;
    }

    public Map<String, String> levelList() {
        Map<String, String> map = new HashMap<>();
        map.put("1", "一级");
        map.put("2", "二级");
        map.put("3", "三级");
        map.put("4", "四级");
        map.put("5", "五级");
        return map;
    }

    public Map<String, String> statusList() {
        Map<String, String> map = new HashMap<>();
        map.put("1", "待预警");
        map.put("2", "已预警");
        map.put("3", "已取消");
        return map;
    }
}