package com.taauav.admin.mapper;

//import com.taauav.admin.entity.TauvInspectDriver;
import com.taauav.admin.entity.TauvInspectFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
//import com.taauav.front.dto.LsInspectFileDTO;
//import com.taauav.front.vo.LsInspectFileVo;
//import com.taauav.front.vo.SysCityVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 巡检附件表 Mapper 接口
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface TauvInspectFileMapper extends BaseMapper<TauvInspectFile> {
    /**
     * 根据巡检任务河道id获取数据
     * @param inspectDriverIds
     * @return
     */
    List<TauvInspectFile> getListByInspectDriverIds(@Param("inspectDriverIds") Integer[] inspectDriverIds);

    /**
     * 根据河道类型获取问题图片的数量
     * @param driverArea
     * @param inspectDriverId
     * @param inspectTime
     * @param endTime
     * @return
     */
    List<Map<String,Object>> getNumByFileDocument(@Param("driverArea") String[] driverArea, @Param("inspectDriverId") Integer inspectDriverId, @Param("inspectTime") Integer inspectTime, @Param("endTime") Integer endTime);

    /**
     * 根据区域统计下属河流的问题数量
     * @param areaId
     * @param param
     * @return
     */
    List<Map<String, Integer>> countQuestionByArea(@Param("areaId") BigInteger areaId, @Param("param") Map<String, String> param);

//    /**
//     * 获取区划内所有河道问题坐标点
//     * @param inspectFileDTO
//     * @return
//     */
//    List<LsInspectFileVo> getInspectFileList(@Param("param") LsInspectFileDTO inspectFileDTO);
}
