package com.taauav.admin.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * 水质超标列表请求实体类
 *
 * @author daixiantong
 * @date 2020-05-14
 */
@Data
public class TauvWaterAlarmQuery extends BaseQuery {

    /**
     * 报警编号
     */
    private String alarmSn;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 报警时间（开始）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 报警时间（结束）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
}
