package com.taauav.admin.service;

import com.taauav.common.bean.Response;

import java.math.BigInteger;

/**
 * 地图统计接口
 *
 * @author dyg
 * @date 2019.12.07
 */
public interface IStatisticsMapService {
    /**
     * 获取所有区域数据
     *
     * @return
     */
    Response getIndexData();

    /**
     * 根据区域编号获取河道数据
     *
     * @param driverArea
     * @param type       1百度 2高德
     * @return
     */
    Response getDriversByDriverArea(BigInteger driverArea, Integer type);

    /**
     * 根据河道任务编号获取图片数据
     *
     * @param inspectDriverId
     * @param type            1百度 2高德
     * @return
     */
    Response getFileListByInspectDriverId(Integer inspectDriverId, Integer type);
}
