package com.taauav.admin.service;

import com.taauav.admin.dto.TauvWaterSpectrumDTO;
import com.taauav.admin.entity.TauvWaterSpectrum;
import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.common.service.IBaseService;
import org.springframework.web.multipart.MultipartFile;

/**
 * 多光谱图Service接口
 *
 * @author daixiantong
 * @date 20200514
 */
public interface ITauvWaterSpectrumService extends IBaseService<TauvWaterSpectrum>
{
    /**
     * 自定义分页
     * @param waterSpectrumDTO
     * @param query
     * @return
     */
    Response selectSpectrumPage(TauvWaterSpectrumDTO waterSpectrumDTO, BaseQuery query);

    /**
     * 编辑
     * @param waterSpectrum
     * @return
     */
    Response editSpectrum(TauvWaterSpectrum waterSpectrum);

    /**
     * 上传多光谱附件
     * @param file
     * @return
     */
    Response uploadSpectrum(MultipartFile file);
}
