package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.dto.inspectquestion.InspectQuestionDealwithDto;
import com.taauav.front.dto.inspectquestion.InspectQuestionDto;
import com.taauav.front.query.UserInspectQuestionQuery;
import com.taauav.front.service.IUserInspectQuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 问题管理 前端控制器
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
@RestController
@RequestMapping("/front/inspectquestion")
public class UserInspectQuestionController extends FrontBaseController {

    @Autowired
    private IUserInspectQuestionService inspectQuestionService;

    /**
     * 获取巡检问题列表
     *
     * @param query 查询条件
     * @return
     */
    @PostMapping("/index")
    public Response index(@RequestBody UserInspectQuestionQuery query) {
        return inspectQuestionService.getList(query);
    }

    /**
     * 指派问题工单
     *
     * @param inspectQuestionDto 参数
     * @return
     */
    @PostMapping("/assign")
    public Response assign(@RequestBody InspectQuestionDto inspectQuestionDto) {
        return inspectQuestionService.assign(inspectQuestionDto);
    }

    /**
     * 问题处理
     *
     * @param inspectQuestionDealwithDto 参数
     * @return
     */
    @PostMapping("/dealWith")
    public Response dealWith(@RequestBody InspectQuestionDealwithDto inspectQuestionDealwithDto) {
        return inspectQuestionService.dealWith(inspectQuestionDealwithDto);
    }

    /**
     * 获取问题详情
     *
     * @param id 问题ID
     * @return
     */
    @GetMapping("/detail")
    public Response detail(Integer id) {
        return inspectQuestionService.detail(id);
    }

    /**
     * 标记完成
     *
     * @param id 问题ID
     * @return
     */
    @PostMapping("/funished")
    public Response funished(Integer id) {
        return inspectQuestionService.funished(id);
    }

}
