package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.query.UserWaterSpectrumQuery;
import com.taauav.front.service.IUserWaterSpectrumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import com.taauav.front.controller.FrontBaseController;

/**
 * <p>
 * 多光谱图表 前端控制器
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
@RestController
@RequestMapping("/front/waterspectrum")
public class UserWaterSpectrumController extends FrontBaseController {

    @Autowired
    private IUserWaterSpectrumService userWaterSpectrumService;

    /**
     * 获取多光谱数据列表
     *
     * @param query 查询条件
     * @return
     */
    @PostMapping("/index")
    public Response index(@RequestBody UserWaterSpectrumQuery query) {
        return userWaterSpectrumService.getList(query);
    }

}
