package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.query.UserWaterWarnQuery;
import com.taauav.front.service.IUserWaterWarnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 水质预警 前端控制器
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
@RestController
@RequestMapping("/front/waterwarn")
public class UserWaterWarnController extends FrontBaseController {

    @Autowired
    private IUserWaterWarnService userWaterWarnService;

    /**
     * 获取水质预警列表
     *
     * @param query 查询条件
     * @return
     */
    @PostMapping("/index")
    public Response index(@RequestBody UserWaterWarnQuery query) {
        return userWaterWarnService.getList(query);
    }

    /**
     * 取消预警
     *
     * @param ids 记录ID
     * @return
     */
    @PostMapping("/cancel")
    public Response cancel(String ids) {
        return userWaterWarnService.cancel(ids);
    }

}
