package com.taauav.front.entity;

import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 问题管理
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class UserInspectQuestion extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检河流ID
     */
    private Integer inspectDriverId;

    /**
     * 巡检图片文件ID
     */
    private Integer inspectFileId;

    /**
     * 问题单号
     */
    private String questionNo;

    /**
     * 指派负责人
     */
    private Integer assignUser;

    /**
     * 指派负责人联系方式
     */
    private String assignContact;

    /**
     * 指派备注
     */
    private String assignNote;

    /**
     * 指派时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assignTime;

    /**
     * 处理人
     */
    private Integer handlerUser;

    /**
     * 处理后图片
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handlerTime;


}
