package com.taauav.front.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.admin.entity.TauvWaterSpectrum;
import com.taauav.front.query.UserWaterSpectrumQuery;
import com.taauav.front.vo.userwaterspectrum.UserWaterSpectrumListVo;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 多光谱图表 Mapper 接口
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface UserWaterSpectrumMapper extends BaseMapper<TauvWaterSpectrum> {

    /**
     * 获取多光谱数据列表
     *
     * @param page  分页
     * @param query 查询条件
     * @return
     */
    List<UserWaterSpectrumListVo> getWaterSpectrumList(IPage<UserWaterSpectrumListVo> page, @RequestParam("query") UserWaterSpectrumQuery query);

}
