package com.taauav.front.service;

import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.entity.UserNotice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.front.query.UserNoticeQuery;

/**
 * <p>
 * 通知公告表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public interface IUserNoticeService extends IBaseService<UserNotice> {

    /**
     * 获取通知公告列表
     *
     * @param query 查询条件
     * @return
     */
    Response getNoticeList(UserNoticeQuery query);

    /**
     * 添加通知公告
     *
     * @param entity 实体对象
     * @return
     */
    Response add(UserNotice entity);

    /**
     * 编辑通知公告
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(UserNotice entity);

    /**
     * 获取通知公告详情
     *
     * @param noticeId 通知公告ID
     * @return
     */
    Response info(Integer noticeId);

    /**
     * 删除通知公告
     *
     * @param noticeId 通知公告ID
     * @return
     */
    Response delete(Integer noticeId);

}
