package com.taauav.front.service;

import com.taauav.admin.entity.TauvWaterAlarm;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.query.UserWaterAlarmQuery;

/**
 * <p>
 * 水质报警 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface IUserWaterAlarmService extends IBaseService<TauvWaterAlarm> {

    /**
     * 获取水质报警列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(UserWaterAlarmQuery query);

    /**
     * 获取水质报警信息详情
     *
     * @param id 记录ID
     * @return
     */
    Response detail(Integer id);

    /**
     * 取消报警
     *
     * @param ids 记录ID
     * @return
     */
    Response cancel(String ids);

}
