package com.taauav.front.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 用户信息
 *
 * @author daixiantong
 */
@Data
public class UserAdminVo {
    /**
     * 人员ID
     */
    private Integer id;

    /**
     * 姓名
     */
    private String realname;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 管理员拥有的规则id， 多个规则","隔开'
     */
    private String rules;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 性别：1男 2女 3未知
     */
    private Integer gender;

    /**
     * 联系方式（手机号码）
     */
    private String mobile;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 河长等级
     */
    private Integer level;

    /**
     * 河长等级描述
     */
    private String levelName;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划描述
     */
    private String driverAreaName;

    /**
     * 职务
     */
    private String duty;

    /**
     * 角色编号
     */
    private String authGroup;

    /**
     * 角色描述
     */
    private String authGroupName;

    /**
     * Session标识
     */
    private String token;

    /**
     * 备注
     */
    private String note;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 上次登录IP
     */
    private Long lastIp;

    /**
     * 上次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;

    /**
     * 状态:1正常 2禁用
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 状态名称
     */
    private String statusText;

    /**
     * 区划层级
     */
    private Integer driverAreaLevel;

    /**
     * 区划数组
     */
    private List<SysCityVo> cityList;
}
