package com.taauav.front.vo.wateralarm;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * 水质报警列表Vo
 */
@Data
public class UserWaterAlarmListVo {

    /**
     * 水质报警ID
     */
    private Integer id;

    /**
     * 巡检河道id
     */
    private Integer inspectDriverId;

    /**
     * 报警编码
     */
    private String alarmSn;

    /**
     * 区属id
     */
    private BigInteger driverArea;

    /**
     * 区属名称
     */
    private String driverAreaName;

    /**
     * 河道id
     */
    private Integer driverId;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectTime;

    /**
     * 水质标准
     */
    private String alarmStandard;

    /**
     * 报警信息
     */
    private String alarmInfo;

    /**
     * 报警时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 状态描述
     */
    private String statusName;

}
